> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nadcab.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List transfers



## OpenAPI

````yaml POST /remittance/transactionLists
openapi: 3.1.0
info:
  title: Nadcab Labs Card Issuing API
  version: 1.0.0
  description: >-
    Issue and manage crypto-funded virtual and physical cards, cardholders,
    wallet deposits and remittances.
servers:
  - url: https://cc.nadcab.com/api/v1
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Card BINs
    description: List card BINs you can issue on.
  - name: Account
    description: Wallet balance, deposits and withdrawals.
  - name: API settings
    description: Webhook URL, IP allowlist and card data encryption key.
  - name: Cards
    description: Create, fund, freeze and close cards.
  - name: Cardholders
    description: Create and manage cardholders for B2C card programs.
  - name: Remittance
    description: Send fiat bank transfers funded from your wallet.
paths:
  /remittance/transactionLists:
    post:
      tags:
        - Remittance
      summary: List transfers
      operationId: listTransfers
      requestBody:
        required: false
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                startTime:
                  type: string
                  example: '2026-05-01 15:32:48'
                  description: Transaction time from
                endTime:
                  type: string
                  example: '2026-05-02 15:32:48'
                  description: Transaction time to
                senderName:
                  type: string
                  example: xxx
                  description: Sender first name
                receiverName:
                  type: string
                  example: xxx1
                  description: Receiver first name
                status:
                  type: string
                payoutCurrency:
                  type: string
                  description: Transfer currency
                merchantOrderNo:
                  type: string
                  description: Transaction number
                limt:
                  type: string
                  description: Limit
                page:
                  type: string
                  description: Page
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  msg:
                    type: string
                  data:
                    type: object
                    properties:
                      current_page:
                        type: integer
                      data:
                        type: array
                        items:
                          type: object
                          properties:
                            merchant_order_no:
                              type: string
                              description: Platform order number
                            api_order_no:
                              type:
                                - string
                                - 'null'
                              description: Order number
                            payout_currency:
                              type: string
                              description: Transfer currency
                            transfer_type_id:
                              type: string
                              description: Transfer type
                            payout_method_id:
                              type: string
                              description: Payout method
                            send_currency:
                              type: string
                              description: Send currency
                            transfer_amount:
                              type: string
                              description: Fiat amount received
                            fee_platform:
                              type: string
                              description: Fee
                            cost_amount:
                              type: string
                              description: Amount charged
                            exchange_rate:
                              type: string
                              description: Exchange rate
                            status:
                              type: string
                              description: Status
                            compliance_status:
                              type: string
                              description: Compliance status
                            compliance_remark:
                              type: string
                              description: Compliance note
                            error:
                              type: string
                              description: Failure reason
                            rfi_infos:
                              type: array
                              items:
                                type: object
                                properties:
                                  rfiId:
                                    type: string
                                  status:
                                    type: string
                                  orderNo:
                                    type: string
                                  statusStr:
                                    type: string
                                  rfiFieldInfo:
                                    type: object
                                    properties:
                                      sorting:
                                        type: integer
                                      required:
                                        type: boolean
                                      fieldName:
                                        type: string
                                      fieldType:
                                        type: string
                                      fieldTitle:
                                        type: string
                                      fieldDescription:
                                        type: string
                                      selectValues:
                                        type: array
                                        items:
                                          type: object
                                          properties:
                                            value:
                                              type: string
                                            valueId:
                                              type: string
                                          required:
                                            - value
                                            - valueId
                                    required:
                                      - sorting
                                      - required
                                      - fieldName
                                      - fieldType
                                      - fieldTitle
                                      - selectValues
                                      - fieldDescription
                                required:
                                  - rfiId
                                  - status
                                  - orderNo
                                  - statusStr
                                  - rfiFieldInfo
                              description: Compliance information
                            sender_detail:
                              type: object
                              properties:
                                senderLastName:
                                  type: string
                                senderFirstName:
                                  type: string
                              required:
                                - senderLastName
                                - senderFirstName
                              description: Sender details
                            receiver_detail:
                              type: object
                              properties:
                                payoutMethod:
                                  type: object
                                  properties:
                                    value:
                                      type: string
                                    valueId:
                                      type: string
                                  required:
                                    - value
                                    - valueId
                                transferType:
                                  type: object
                                  properties:
                                    value:
                                      type: string
                                    valueId:
                                      type: string
                                  required:
                                    - value
                                    - valueId
                                payoutCurrency:
                                  type: string
                                receiverLastName:
                                  type: string
                                receiverFirstName:
                                  type: string
                                receiverNativeLastName:
                                  type: string
                                receiverNativeFirstName:
                                  type: string
                                receiverBankAccountNumber:
                                  type: string
                              required:
                                - payoutMethod
                                - transferType
                                - payoutCurrency
                                - receiverLastName
                                - receiverFirstName
                                - receiverNativeLastName
                                - receiverNativeFirstName
                                - receiverBankAccountNumber
                              description: Receiver details
                            sender_beneficiary_relationship:
                              type: string
                              description: Relationship between sender and receiver
                            sender_remark:
                              type: string
                              description: Remark
                            sender_source_of_fund:
                              type: string
                              description: Source
                            create_time:
                              type: string
                              description: Created at
                            finished_at:
                              type: string
                              description: Completed at
                          required:
                            - merchant_order_no
                            - api_order_no
                            - payout_currency
                            - transfer_type_id
                            - payout_method_id
                            - send_currency
                            - transfer_amount
                            - fee_platform
                            - cost_amount
                            - exchange_rate
                            - status
                            - compliance_status
                            - compliance_remark
                            - error
                            - rfi_infos
                            - sender_detail
                            - receiver_detail
                            - sender_beneficiary_relationship
                            - sender_remark
                            - sender_source_of_fund
                            - create_time
                            - finished_at
                      from:
                        type: integer
                      last_page:
                        type: integer
                      per_page:
                        type: integer
                      to:
                        type: integer
                      total:
                        type: integer
                    required:
                      - current_page
                      - data
                      - from
                      - last_page
                      - per_page
                      - to
                      - total
                required:
                  - code
                  - msg
                  - data
              example:
                code: 200
                msg: success
                data:
                  current_page: 1
                  data:
                    - merchant_order_no: TR20260514141249674328
                      api_order_no: tr8789855223200
                      payout_currency: CNY
                      transfer_type_id: '3'
                      payout_method_id: '1'
                      send_currency: USD
                      transfer_amount: '50.00'
                      fee_platform: '2.000'
                      cost_amount: '9.390'
                      exchange_rate: '6.7660408'
                      status: wait_process
                      compliance_status: no_process
                      compliance_remark: '-'
                      error: ''
                      rfi_infos: []
                      sender_detail:
                        senderLastName: ZHANG
                        senderFirstName: SAN
                      receiver_detail:
                        payoutMethod:
                          value: Bank Transfer
                          valueId: '1'
                        transferType:
                          value: C2C
                          valueId: '3'
                        payoutCurrency: CNY
                        receiverLastName: pin
                        receiverFirstName: liguo
                        receiverNativeLastName: Pin
                        receiverNativeFirstName: Liguo
                        receiverBankAccountNumber: 622200******0000
                      sender_beneficiary_relationship: '1'
                      sender_remark: ''
                      sender_source_of_fund: '3'
                      create_time: '2026-05-14 14:12:51'
                      finished_at: ''
                    - merchant_order_no: tr123456789000001234
                      api_order_no: null
                      payout_currency: CNY
                      transfer_type_id: '3'
                      payout_method_id: '1'
                      send_currency: USD
                      transfer_amount: '50.00'
                      fee_platform: '2.000'
                      cost_amount: '9.380'
                      exchange_rate: '6.7717237'
                      status: processing
                      compliance_status: pending_check
                      compliance_remark: '-'
                      error: Test compliance documents
                      rfi_infos:
                        - rfiId: '28721'
                          status: pending_check
                          orderNo: C2C_EUR_1894023968283189249
                          statusStr: Wait submit Compliance check documents
                          rfiFieldInfo:
                            sorting: 0
                            required: true
                            fieldName: ic_back
                            fieldType: file
                            fieldTitle: IC - Back
                            fieldDescription: Please upload your ID card to the back
                        - rfiId: '28728'
                          status: pending_check
                          orderNo: C2C_EUR_1894023968283189249
                          statusStr: Wait submit Compliance check documents
                          rfiFieldInfo:
                            sorting: 0
                            required: true
                            fieldName: occupation
                            fieldType: select
                            fieldTitle: Occupation
                            selectValues:
                              - value: PMET
                                valueId: '1'
                              - value: Blue Collar Staff
                                valueId: '2'
                            fieldDescription: Please input occupation
                      sender_detail:
                        senderLastName: ZHANG
                        senderFirstName: SAN
                      receiver_detail:
                        payoutMethod:
                          value: Bank Transfer
                          valueId: '1'
                        transferType:
                          value: C2C
                          valueId: '3'
                        payoutCurrency: CNY
                        receiverLastName: pin
                        receiverFirstName: liguo
                        receiverNativeLastName: Pin
                        receiverNativeFirstName: Liguo
                        receiverBankAccountNumber: 622200******0000
                      sender_beneficiary_relationship: '1'
                      sender_remark: ''
                      sender_source_of_fund: '3'
                      create_time: '2026-05-13 11:39:53'
                      finished_at: '2026-05-13 14:27:17'
                    - merchant_order_no: tr1234567890000055
                      api_order_no: null
                      payout_currency: CNY
                      transfer_type_id: '3'
                      payout_method_id: '1'
                      send_currency: USD
                      transfer_amount: '50.00'
                      fee_platform: '2.000'
                      cost_amount: '9.380'
                      exchange_rate: '6.7717237'
                      status: wait_process
                      compliance_status: no_process
                      compliance_remark: '-'
                      error: ''
                      rfi_infos: []
                      sender_detail:
                        senderLastName: ZHANG
                        senderFirstName: SAN
                      receiver_detail:
                        payoutMethod:
                          value: Bank Transfer
                          valueId: '1'
                        transferType:
                          value: C2C
                          valueId: '3'
                        payoutCurrency: CNY
                        receiverLastName: pin
                        receiverFirstName: liguo
                        receiverNativeLastName: Pin
                        receiverNativeFirstName: Liguo
                        receiverBankAccountNumber: 622200******0000
                      sender_beneficiary_relationship: '1'
                      sender_remark: ''
                      sender_source_of_fund: '3'
                      create_time: '2026-05-13 11:37:27'
                      finished_at: ''
                    - merchant_order_no: tr123456789000001
                      api_order_no: null
                      payout_currency: CNY
                      transfer_type_id: '3'
                      payout_method_id: '1'
                      send_currency: USD
                      transfer_amount: '50.00'
                      fee_platform: '2.000'
                      cost_amount: '9.380'
                      exchange_rate: '6.7717237'
                      status: wait_process
                      compliance_status: no_process
                      compliance_remark: '-'
                      error: ''
                      rfi_infos: []
                      sender_detail:
                        senderLastName: ZHANG
                        senderFirstName: SAN
                      receiver_detail:
                        payoutMethod:
                          value: Bank Transfer
                          valueId: '1'
                        transferType:
                          value: C2C
                          valueId: '3'
                        payoutCurrency: CNY
                        receiverLastName: pin
                        receiverFirstName: liguo
                        receiverNativeLastName: Pin
                        receiverNativeFirstName: Liguo
                        receiverBankAccountNumber: 622200******0000
                      sender_beneficiary_relationship: '1'
                      sender_remark: ''
                      sender_source_of_fund: '3'
                      create_time: '2026-05-13 11:36:14'
                      finished_at: ''
                  from: 1
                  last_page: 1
                  per_page: 10
                  to: 4
                  total: 4
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Your API key from Console → Settings → Key & Access, sent as
        `Authorization: Bearer ncl_...`.

````